body{
	background-color: #efefef;
}

button{
    margin-left: 100px;
    outline: none;
    padding: 5px;
    width: 5%;
    display: block;
    border-radius: 5px;
    border: solid 1px gray;
}

.easy{
	width: 400px;
    margin: auto;
}

output{
    color: black;
}
input{
	box-sizing: border-box;	
	outline: none;
}

input:active, input.actif{
    opacity: 1;
}

.b1:active, .b2:active, .b3:active, .b4:active,.b5:active, .b6:active, .b7:active, .b8:active, .b9:active, .b10:active, .b11:active, .b12:active, .b13:active, .b14:active, .b15:active, .b16:active, .b17:active, .b18:active, .b19:active,  {
    opacity: 1;
}

.b1, .b2, .b3, .b4, .b5, .b6, .b7, .b8, .b9, .b10, .b11, .b12, .b13, .b14, .b15, .b16, .b17, .b18, .b19{
    width: 200px;
    height: 200px;
    outline: none; 
    opacity: 0.5;
}

.b1 {
    background-color: #32CD32;
    border-top-left-radius: 100%;
}

.b1:hover{
    border: solid 2px gray;
}

.b2 {
    background-color: #FF0000;
    border-top-right-radius: 100%;
}

.b2:hover{
    border: solid 2px gray;
}

.b3 {
    background-color: #FFFF00;
    border-bottom-left-radius: 100%;
}

.b3:hover{
    border: solid 2px gray;
}

.b4 {
    background-color: #0000FF;
    border-bottom-right-radius: 100%;
}

.b4:hover{
    border: solid 2px gray;
}

.medium{
    width: 600px;
    margin: auto;
}

.b5 {
    background-color: #32CD32;
    border-top-left-radius: 100%;
}

.b5:hover{
    border: solid 2px gray;
}

.b6 {
    background-color: #FF0000;
}

.b6:hover{
    border: solid 2px gray;
}

.b7 {
    background-color: #FFFF00;
    border-top-right-radius: 100%;
}

.b7:hover{
    border: solid 2px gray;
}

.b8 {
    background-color: #0000FF;
    border-bottom-left-radius: 100%;
}

.b8:hover{
    border: solid 2px gray;
}

.b9 {
    background-color: #FFA500;
}

.b9:hover{
    border: solid 2px gray;
}

.b10 {
    background-color: #FF69B4;
    border-bottom-right-radius: 100%;
}

.b10:hover{
    border: solid 2px gray;
}

.hard{
    width: 600px;
    margin: auto;
}
.b11 {
    background-color: #32CD32;
    border-top-left-radius: 100%;
}

.b11:hover{
    border: solid 2px gray;
}

.b12 {
    background-color: #FF0000;
    opacity: 0.5;
}

.b12:hover{
    border: solid 2px gray;
}

.b13 {
    background-color: #FFFF00;
    border-top-right-radius: 100%;
}

.b13:hover{
    border: solid 2px gray;
}

.b14 {
    background-color: #0000FF;
}

.b14:hover{
    border: solid 2px gray;
}

.b15 {
    background-color: #FFA500;
}

.b15:hover{
    border: solid 2px gray;
}

.b16 {
    background-color: #FF69B4;
}

.b16:hover{
    border: solid 2px gray;
}

.b17 {
    background-color: #008080;
    border-bottom-left-radius: 100%;
}

.b17:hover{
    border: solid 2px gray;
}

.b18 {
    background-color: #8B4513;
}

.b18:hover{
    border: solid 2px gray;
}

.b19 {
    background-color: #800080;
    border-bottom-right-radius: 100%;
}

.b19:hover{
    border: solid 2px gray;
}